<?php

namespace Drp\Analytics\Listeners;

use Drp\Analytics\Foundation\AnalyticableCookie;
use Illuminate\Auth\Events\Login;
use Illuminate\Support\Facades\Cookie;

class GenerateAnalyticsCookie
{
    public function handle(Login $event): void
    {
        Cookie::queue(AnalyticableCookie::forModel($event->user));
    }
}
